# JavaScript強調キーワード＆ヘルプファイル for サクラエディタ

本ファイルは、サクラエディタにてJavaScriptのオブジェクト、プロパティ、メソッド等を色分け強調表示（シンタックスハイライト）するためのファイルです。
構文や説明を表示するヘルプファイルも含みます。
すべてのワードを収録しているわけではありません。



## 仕様
* 最新バージョン： 2021-12-09
* 対象言語： JavaScript
* 制作者： Y.Oshima, https://memorva.jp/
* 参考資料： https://developer.mozilla.org/ja/docs/Web/JavaScript

細かい修正等はバージョンを変えずに中身を更新している場合があります。

本ファイルを利用して発生したいかなる損害に対して作者は一切の責任を負いません。



## ファイル構成
* javascript.kwd： 強調キーワード
* javascript.khp： キーワードヘルプ
* javascript_event.kwd： イベントキーワード
* javascript_event.khp： イベントヘルプ
* README.md： 取扱説明書
* CHANGELOG.md： 変更履歴

.kwd と .khp の文字コードは SJIS です。UTF-8では文字化けするようです。



## 説明
本ファイルは少し特殊な収録方法となっています。
上位のオブジェクトがある場合、それを含むものと含まないもの両方を収録しています。
例えば、Math.log は、Math.log と log の両方を収録しています。
log だけでなく Math.log も載せることで、Math の入力補完を行うと、Math にどういうプロパティやメソッドがあるか分かります。
また、log には console.log もあります。
同名のプロパティやメソッドは1つにまとめ、log のヘルプを見ると Math.log と console.log 両方の説明が表示されるようになっています。
また、Math.log すべてを範囲選択してヘルプを見ると Math.log だけのヘルプが表示されます。




## 設定手順
1. サクラエディタのメニューから［設定］→［共通設定］と進み、［強調キーワード］タブをクリック。
2. ［セット追加］をクリックし、セットの名称を入力。「JavaScript」など自分の好きな名称で良い。
3. ［インポート］をクリックし、javascript.kwd を選択。［英大文字小文字区別］をチェックして［OK］をクリック。
4. javascript_event.kwd についても同様に作業を行う。「JS event」など別名で登録しても良いし、上記に追加インポートしても良い。
5. メニューに戻り［設定］→［タイプ別設定一覧］にて［設定17］など空いている設定を選択し、［設定変更］をクリック。空きがない場合は［追加］で追加する。
6. ［スクリーン］タブ
	* 設定の名前： JavaScript
	* ファイル拡張子： js
6. ［カラー］タブ
	* 色指定： シングルクォーテーションとダブルクオーテーションをチェック
	* 強調キーワード1： JavaScript
	* コメントスタイル ブロック型： /* ～ */
	* コメントスタイル 行型： //
	* イベントを別名で登録した場合は、［2～10］ボタンをクリックし、「強調キーワード2」にそれを設定する。
7. ［支援］タブ
	* ［入力補完機能］にて「強調キーワード」にチェックを入れる。
	* 別のファイルを指定したい場合は［(1)...］をクリックし、入力補完用のファイルを指定。
8. ［キーワードヘルプ］タブ
	1. ［キーワードヘルプ機能を使う］をチェック。
	2. ［辞書ファイル］の［...］をクリックし、javascript.khp を選択して［挿入］をクリック。




## 入力補完機能
サクラエディタで.jsファイルを開いた後、例えば「le」と入力し、leの文字のすぐ後にカーソルがある状態で［Ctrl］+［スペースキー］を押すと、leで始まるキーワードが一覧表示されます。



## ヘルプ機能
サクラエディタで.jsファイルを開いた後、メソッド等を範囲選択し、その上にマウスカーソルを重ねるとその説明が表示されます。

